
// ****************************************************************************
// Written by Cees Meijer - 2021
//
// This code is in the public domain.
// ****************************************************************************
// Requires the GamePad library, available at https://github.com/GAMELASTER/ArduinoGamepad
// -- Includes ----------------------------------------------------------------
#include <Gamepad.h>

// -- Init --------------------------------------------------------------------
Gamepad gp;
const int NR_BUTTONS = 10;

int B = 0;
int btn_val =0;
int button[10]= {2,3,4,5,6,7,8,9,10,16}; // All the Arduino Pin numbers that are used for the buttons
int buttonState[10]= {0,0,0,0,0,0,0,0,0,0};

// -- Setup -------------------------------------------------------------------
void setup() {
  for ( B = 0;B<NR_BUTTONS;B++)
  {
    pinMode( button[B], INPUT_PULLUP );
  }
}

void loop() {
  // Get button values
  for( B = 0;B<NR_BUTTONS;B++)
  {
    btn_val = digitalRead( button[B] );
    // Send a command when button state has changed
    if(buttonState[B] != btn_val)
    {
      buttonState[B] = btn_val;
      if (btn_val == 0){gp.setButtonState(  B, true );}
      else{gp.setButtonState(  B, false );}
    }
  }
   
  delay(20);
}
